Send Event Type Example Message
POST /endpoint/{endpoint_id}/send-example on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.
Send an example message for a specific event. Note that this will only sent demo data (and not real tracking data) This can only be used to send event types that are configured for the endpoint.
Path parameters
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
idempotency-key | string | No | The request's idempotency key. |
Request body
application/json, required.
| Field | Type | Required | Description |
|---|---|---|---|
eventType | string | Yes | The event type's name. |
Responses
Body: application/json, object.
| Field | Type | Required | Description |
|---|---|---|---|
eventId | string, nullable | No | Optional unique identifier for the message. |
eventType | string | Yes | The event type's name. |
payload | object | Yes | — |
channels | array of string, nullable | No | List of free-form identifiers that endpoints can filter by. |
id | string | Yes | The msg's ID. |
timestamp | string (date-time) | Yes | — |